Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs Class Reference

Arguments used with KeysRequiredEvent. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs:
[legend]

## Public Member Functions
| KeysRequiredEventArgs (string name)
| Initialise a new instance of KeysRequiredEventArgs
| KeysRequiredEventArgs (string name, byte[] keyValue)
| Initialise a new instance of KeysRequiredEventArgs

## Properties
string | FileName`[get]`
| Gets the name of the file for which keys are required.
byte[] | Key`[get, set]`
| Gets or sets the key value.

## Private Attributes
string | fileName
byte[] | key

## Detailed Description

Arguments used with KeysRequiredEvent.

## Constructor & Destructor Documentation

## ◆ KeysRequiredEventArgs() [1/2]

ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs.KeysRequiredEventArgs | ( | string | name | ) |

Initialise a new instance of KeysRequiredEventArgs

Parameters

  name | The name of the file for which keys are required.

## ◆ KeysRequiredEventArgs() [2/2]

ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs.KeysRequiredEventArgs | ( | string | name,
|  | byte[] | keyValue )

Initialise a new instance of KeysRequiredEventArgs

Parameters

  name | The name of the file for which keys are required.
  keyValue | The current key value.

## Member Data Documentation

## ◆ fileName

string ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs.fileName
| private

## ◆ key

byte [] ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs.key
| private

## Property Documentation

## ◆ FileName

string ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs.FileName
| get

Gets the name of the file for which keys are required.

## ◆ Key

byte [] ICSharpCode.SharpZipLib.Zip.KeysRequiredEventArgs.Key
| get set

Gets or sets the key value.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs